// Reset Styles // 

*, *::before, *::after {
  box-sizing: border-box;
}

ul[class], ol[class] {
    padding: 0;
}

body, h1, h2, h3, h4, p, ul[class], ol[class], li, figure, figcaption, blockquote, dl, dd {
    margin: 0;
}

ul[class], ol[class] {
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    display: block;
}

article > * + * {
    margin-top: 1em;
}

input[type="text" i] {
    padding: 0px 0px;
}

:-webkit-any(article, aside, nav, section) h1 {
    font-size: 1.5em;
    margin-block-start: 0;
    margin-block-end: 0;
}

// Body Scroll //

body {
    display: block;
    overflow-y: scroll;
    height: 100%;

    &::-webkit-scrollbar {
        width: 10px;
        background-color: $gray-extralight;
    }

    &::-webkit-scrollbar-thumb {
        background-color: $red;
    }
}

// Overlay //

.overlay {
    position: fixed; 
    display: none; 
    width: 100%; 
    height: 100%; 
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5); 
    z-index: 2; 
    cursor: pointer; 
}

.overlay--active {
    display: block; 
}

// Section Margin Bottom // 

section {
    margin-bottom: 120px;
}

@media (max-width: 1230px) {
    section {
        margin-bottom: 100px;
    }
}

@media (max-width: 992px) {
    section {
        margin-bottom: 80px;
    }
}

@media (max-width: 768px) {
    section {
        margin-bottom: 60px;
    }
}

@media (max-width: 768px) {
    section {
        margin-bottom: 60px;
    }
}

@media (max-width: 576px) {
    section {
        margin-bottom: 50px;
    }
}

// Section Padding Top // 

.section__padding {
    padding-top: 100px
}

@media (max-width: 1230px) {
    .section__padding  {
        padding-top: 90px
    }
}

@media (max-width: 992px) {
    .section__padding  {
        padding-top: 80px;
    }
}

@media (max-width: 768px) {
    .section__padding  {
        padding-top: 60px;
    }
}

@media (max-width: 576px) {
    .section__padding {
        padding-top: 50px;
    }
}

// H2 Margin Bottom // 

.basic__title {
    margin-bottom: 100px;
    @include basicTitle;
}

@media (max-width: 1230px) {
    .basic__title {
        margin-bottom: 90px;
    }
}

@media (max-width: 992px) {
    .basic__title {
        margin-bottom: 60px;
    }
}

@media (max-width: 576px) {
    .basic__title {
        margin-bottom: 40px;
    }
}

// H3 Margin Bottom // 

.block__title {
    @include blockTitle;
    margin-bottom: 25px;
}


@media (max-width: 576px) {
    .block__title  {
        margin-bottom: 15px;
    }
}

// Block Text // 

.block__text {
    @include blockText;

    &:not(:last-child) {
        margin-bottom: 25px;
    }
}

// Container Desktop // 

.container {
    max-width: 1290px;
    padding: 0 30px;
    margin: 0 auto;
}

// Container Mobile // 

@media (max-width: 992px) {
    .container {
        padding: 0 30px;
    }
}

@media (max-width: 576px) {
    .container {
        padding: 0 20px;
    }
}

@media (max-width: 380px) {
    .container {
        padding: 0 15px;
    }
}

// Header Margin// 

.header {
    margin-bottom: 40px
}

@media (max-width: 1230px) {
    .header {
        margin-bottom: 30px;
    }
}

@media (max-width: 576px) {
    .header {
        margin-bottom: 20px;
    }
}

// Link // 

.link {
    @include link;
}

// Call Doctor Link // 

.call-doctor__link {
    @include mainLink;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: $gray-extralight;
    color: $red;
    width: 201px;
    height: 56px;
    transition: 0.4s ease;

    &:hover {
        background-color: $red;
        color: $white;
        scale: 1.1;

        .call__icon {
            transform: rotate(0);
    
            path {
                stroke: $white;
            }
        }
    }

    .call__icon {
        margin-right: 8px;
        transform: rotate(90deg);
        transition: 0.4s ease;
    }
}

@media (max-width: 992px) {
    .call-doctor__link {
        width: 56px;
        height: 56px;
        
        &:hover {
            scale: 1;
        }
        
        .call__icon  {
            margin-right: 0;
            transform: rotate(0); 
        }
        
        .call-doctor__text {
            display: none;
        }
    }
}

// Burger Menu // 

.burger__button {
    border: none;
    background-color: $gray-extralight;
    border-radius: 30px;
    width: 56px;
    height: 56px;

    .burger {
        width: 42px;
        padding-top: 3px;
        cursor: pointer;
        -webkit-tap-highlight-color: transparent;
        transition: transform 400ms;
        -moz-user-select: none;
        -webkit-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    .burger__rotate.active {
        transform: rotate(45deg);
        padding-left: 2px;
        padding-top: 2px;
    }

    .burger__rotate180.active {
        transform: rotate(180deg);
    }

    .burger__line {
        fill:none;
        transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
        stroke: $red;
        stroke-width:5.5;
        stroke-linecap:round;
    }

    .burger__animation {
        .burger__top {
            stroke-dasharray: 40 160;
        }

        .burger__middle {
            stroke-dasharray: 40 142;
            transform-origin: 50%;
            transition: transform 400ms;
        }

        .burger__bottom {
            stroke-dasharray: 40 85;
            transform-origin: 50%;
            transition: transform 400ms, stroke-dashoffset 400ms;
        }
    }

    .burger__animation.active {
        .burger__top {
            stroke-dashoffset: -64px;
        }

        .burger__middle {
            transform: rotate(90deg);
        }

        .burger__bottom {
            stroke-dashoffset: -64px;
        }   
    }

}

// Search Input // 

.navigation__search {
    max-width: 285px;
    width: 100%;
    position: relative;

    &::after {
        position: absolute;
        content: url('../img/icon/search.svg');
        right: 20px;
        top: 14px;
    }

    .search__input {
        @include searchInput;
        width: 100%;
        height: 52px;
        border-radius: 50px;
        border: none;
        text-indent: 24px;
        outline:none;
    }

    .search__input {
        &:focus {
            &::placeholder {
                color: $black;
            }
        }
    }
}

@media (max-width: 1230px) {
    .navigation__search {
        max-width: 100%;
        padding: 15px 0;
    
        &::after {
            top: 28px;
        }
    }
}

// breadcrumb // 

.breadcrumbs {
    margin-bottom: 40px;

    .breadcrumb__wrapper {
        .breadcrumb {
            @include breadcrumb;
            position: relative;
            cursor: pointer;
        
            &:not(:last-child) {
                padding-right: 20px;
        
                &::after {
                    position: absolute;
                    content: '/';
                    color: $gray-basic;
                    right: 5px;
                }
        
                &:hover {
                    color: $red; 
                }
            }
        
            &:last-child {
                color: $gray-light;
                pointer-events: none;
            } 
        }
    }
}

@media (max-width: 1230px) {
    .breadcrumbs {
        margin-bottom: 30px;
    }
}

@media (max-width: 576px) {
    .breadcrumbs {
        margin-bottom: 20px;
    }
}

// Form // 

.form__block {
    background-color: $red;

    .form {
        padding: 50px 30px;

        .form__list {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr;
            align-items: center;
            gap: 30px;

            .form__item {
                width: 100%;
                max-width: 270px;
                position: relative;

                .error {
                    @include error;
                }

                .form-control_error {
                    color: $red;
                }

                .form__wrapper {
                    max-width: 270px;
                   
                    .form-control {
                        width: 100%;
                        height: 60px;
                        text-indent: 20px;
                        outline: none;
                        border: none;
                        border-radius: 30px;
                        @include searchInput;
                        cursor: pointer;
                    
                        &:focus {
                            &::placeholder {
                                color: $black;
                            }
                        }

                        &:hover {
                            &::placeholder {
                                color: $black;
                            }
                        }
                    }
                }
               
                .form__text {
                    @include formText;
                    color: $white;
                    width: 280px;

                    .link__text {
                        color: $pink;
                        cursor: pointer;
                        transition: 0.4s ease;

                        &:hover {
                            color: $yellow;
                        }
                    }
                }

                .form__button {
                    @include mainLink;
                    background-color: $black;
                    color: $white;
                    border: none;
                    width: 100%;
                    height: 60px;
                    transition: 0.4s ease;

                    &:hover {
                        background-color: $red-dark;
                    }
                }
            }
        }

        .form__list--delete {
            display: none;
        }
    }

    .form--hide {
        display: none;
    }

    .sent__form {
        display: none;
        text-align: center;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        padding: 50px 30px;
        position: relative;

        .sent__close {
            position: absolute;
            top: 12px;
            right: 12px;
            cursor: pointer;
            transition: 0.4s ease;

            &:hover {
                scale: 1.1;
            }
        }

        .sent__title {
            @include sentTitle;
        }

        .sent__text {
            @include sentText;
        }

    }

    .sent__form--show {
        display: flex;
    }
}

@media (max-width: 992px) {
    .form__block {
        .form {
            padding: 40px 30px;

            .form__list {
                grid-template-columns: 1fr 1fr;
            
                .form__item {
                    max-width: 100%;
                  
                    .form__wrapper {
                        max-width: 100%;

                        .form-control {
                            width: 100%;
                        }
                    }

                    .form__text {
                        width: 100%;
                    }
                }
            }
        }

        .sent__form {
            padding: 80px 30px;
        }
    }
}

@media (max-width: 768px) {
    .form__block {
        margin: 0 -30px;
    }
}

@media (max-width: 576px) {
    .form__block {
        .form {
            .form__list {
                grid-template-columns: 1fr;

                .form__item {
                    .form__text {
                        text-align: center;
                    }
                }
            }
        }

        .sent__form {
            padding: 140px 30px;
        }
    }
}

// Main Form // 
.main-form {
    background-color: $red;
}


// Social Links //

.social__wrap {
    cursor: pointer;

    .social__link {
        position: relative;
        width: 40px;
        
        .social-image__hover {
            position: absolute;
            background-repeat: no-repeat;
            background-size: contain;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            opacity: 0;
            transition: 0.4s ease;
            
            &:hover {
                opacity: 1;
                -webkit-box-shadow: 4px 4px 30px -7px rgba(150, 150, 150, 1);
                -moz-box-shadow: 4px 4px 30px -7px rgba(150, 150, 150, 1);
                box-shadow: 4px 4px 30px -7px rgba(150, 150, 150, 1);
            }
        }

        .vk__hover {
            background-image: url('../img/icon/vkhover.svg');
        }

        .email__hover {
            background-image: url('../img/icon/emailhover.svg');
        }

        .whatsapp__hover {
            background-image: url('../img/icon/whatsapphover.svg');
        }

        .telegram__hover {
            background-image: url('../img/icon/telegramhover.svg');
        }

        .viber__hover {
            background-image: url('../img/icon/viberhover.svg');
        }

        .call__hover {
            background-image: url('../img/icon/callhover.svg');
        }
    } 
}

// Arrow Buttons // 

.arrows__wrapper {
    position: relative;

    .arrow__prev {
        background-image: url('../img/icon/arrow-left.svg');
        background-repeat: no-repeat;
        width: 56px;
        height: 56px;
        border: none;
        cursor: pointer;
        transition: 0.4s ease;
        position: absolute;
        top: 260px;
        left: -10%;
    
        &:hover {
            background-image: url('../img/icon/arrow-lefthover.svg');
        }
    }

    .arrow__next {
        background-image: url('../img/icon/arrow-right.svg');
        background-repeat: no-repeat;
        width: 56px;
        height: 56px;
        border: none;
        cursor: pointer;
        transition: 0.4s ease;
        position: absolute;
        top: 260px;
        right: -10%;
        
        &:hover {
            background-image: url('../img/icon/arrow-righthover.svg');
        }
    }
}

@media (max-width: 1550px) {
    .arrows__wrapper {
        position: relative;
    
        .arrow__prev {
            top: -100px;
            left: inherit;
            right: 100px;
        }
    
        .arrow__next {
            top: -100px;
            right: 0%;
        }
    }

    .clinic--arrows {
        top: 0 !important;
    }

    .licenses--arrows {
        top: 0 !important;
    }

    .reviews--arrows {
        top: 0 !important;
    }
}

@media (max-width: 992px) {
    .arrows__wrapper {
        display: none;
    }
}

// Range Slider //  

.range-slider {
    display: none;
    width: 100%;
    transition: 0.4s ease;
}

.range-slider[type=range]  {
    width: 100%;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    overflow: hidden;
    height: 8px;
    margin-top: 50px;
    transition: 0.4s ease;
}

.range-slider[type=range]::-webkit-slider-runnable-track {
    height: 8px;
    background-color: $gray-extralight;
    transition: 0.4s ease;
}

.range-slider[type=range]::-webkit-slider-thumb {
    background: $red;
    cursor: pointer;
    width: 355px;
    height: 15px;
    -webkit-appearance: none;
    margin-top: -4px;
    box-shadow: -355px 0 0 355px $gray-extralight
}

.range-slider[type=range]::-moz-range-track {
    height: 8px;
    background-color: $red;
    transition: 0.4s ease;
}


.range-slider[type=range]::-moz-range-thumb {
    background: $red;
    cursor: pointer;
    height: 8px;
    border-radius:0px;
    box-shadow: -355px 0 0 355px $gray-extralight;
    padding: 0px;
    margin: 0px;
    transition: 0.4s ease;
}

@media(max-width: 992px) {
    .range-slider {
        display: block;
    }
}


// Slide Margin // 

.slide {
    margin-right: 30px;
}